#!/bin/sh

CFLAGS="-ggdb3 -Wall -Werror" 
# HACK, FIXME
CFLAGS="$CFLAGS -Wno-write-strings"
LDFLAGS=""

# PhysicsFS
CFLAGS="$CFLAGS -Ilibs/physicsfs-2.0.2"
LDFLAGS="$LDFLAGS -framework IOKit"

# SDL, Ogg/Vorbis
CFLAGS="$CFLAGS `pkg-config --cflags sdl vorbis`"
LDFLAGS="$LDFLAGS `pkg-config --libs sdl vorbis`"

# GLEW and OpenGL
CFLAGS="$CFLAGS -DGLEW_STATIC -Ilibs/glew-1.6.0/"
if [ `uname -s` = "Darwin" ]; then
  CFLAGS="$CFLAGS -FOpenGL"
  LDFLAGS="$LDFLAGS -framework OpenGL"
elif [ `uname -s` = "Cygwin" ]; then
  LDFLAGS="$LDFLAGS -lopengl32 -lglu32"
else
  CFLAGS="$CFLAGS -I/usr/X11R6/include"
  LDFLAGS="$LDFLAGS -lGL -lGLU"
fi

# SOIL
CFLAGS="$CFLAGS -Ilibs/soil"
