redo-ifchange build/config.sh
. build/config.sh

QUAKE_DEPS=($(find src -name *.cpp))
SOIL_DEPS=(libs/soil/*.c)
GLEW_DEPS=(libs/glew-1.6.0/*.c)

DEPS="${QUAKE_DEPS[*]/%.cpp/.o} ${SOIL_DEPS[*]/%.c/.o} ${GLEW_DEPS[*]/%.c/.o}"
redo-ifchange $DEPS

redo-ifchange libs/zlib.stamp libs/physfs.stamp

g++ -o $3 $LDFLAGS $DEPS libs/zlib-1.2.5/libz.a libs/physfs-2.0.2/libphysfs.a
