/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
// Quake is a trademark of Id Software, Inc., (c) 1996 Id Software, Inc. All
// rights reserved.

#include "quakedef.h"

static void CDAudio_Eject(void)
{
}


static void CDAudio_CloseDoor(void)
{
}


static int CDAudio_GetAudioDiskInfo(void)
{
//    cdValid = true;
//    maxTrack = mciStatusParms.dwReturn;

    return 0;
}


void CDAudio_Play(byte track, qboolean looping)
{
//    if (!enabled)
//        return;

//    if (!cdValid)
//    {
//        CDAudio_GetAudioDiskInfo();
//        if (!cdValid)
//            return;
//    }

//    if (playing)
//    {
//        if (playTrack == track)
//            return;
//        CDAudio_Stop();
//    }

//    playLooping = looping;
//    playTrack = track;
//    playing = true;

//    if (cdvolume == 0.0)
//        CDAudio_Pause ();
}


void CDAudio_Stop(void)
{
//    if (!enabled)
//        return;
//    if (!playing)
//        return;

//    wasPlaying = false;
//    playing = false;
}


void CDAudio_Pause(void)
{
//    if (!enabled)
//        return;
//    if (!playing)
//        return;

//    wasPlaying = playing;
//    playing = false;
}


void CDAudio_Resume(void)
{
//    if (!enabled)
//        return;
//    if (!cdValid)
//        return;
//    if (!wasPlaying)
//        return;

//    playing = true;
}


void CD_f (void)
{
    if (Cmd_Argc() < 2)
        return;

    std::string command = Cmd_Argv (1);

    if (boost::iequals(command, "on"))
    {
//        enabled = true;
        return;
    }

    if (boost::iequals(command, "off"))
    {
//        if (playing)
//            CDAudio_Stop();
//        enabled = false;
        return;
    }

    if (boost::iequals(command, "reset"))
    {
//        enabled = true;
//        if (playing)
//            CDAudio_Stop();
        CDAudio_GetAudioDiskInfo();
        return;
    }

    if (boost::iequals(command, "close"))
    {
        CDAudio_CloseDoor();
        return;
    }

//    if (!cdValid)
//    {
//        CDAudio_GetAudioDiskInfo();
//        if (!cdValid)
//        {
//            Con_Printf("No CD in player.\n");
//            return;
//        }
//    }

    if (boost::iequals(command, "play"))
    {
        CDAudio_Play((byte)Util::lexical_cast<int>(Cmd_Argv(2)), false);
        return;
    }

    if (boost::iequals(command, "loop"))
    {
        CDAudio_Play((byte)Util::lexical_cast<int>(Cmd_Argv(2)), true);
        return;
    }

    if (boost::iequals(command, "stop"))
    {
        CDAudio_Stop();
        return;
    }

    if (boost::iequals(command, "pause"))
    {
        CDAudio_Pause();
        return;
    }

    if (boost::iequals(command, "resume"))
    {
        CDAudio_Resume();
        return;
    }

    if (boost::iequals(command, "eject"))
    {
//        if (playing)
//            CDAudio_Stop();
        CDAudio_Eject();
//        cdValid = false;
        return;
    }

//    if (boost::iequals(command, "info"))
//    {
//        Con_Printf("%u tracks\n", maxTrack);
//        if (playing)
//            Con_Printf("Currently %s track %u\n", playLooping ? "looping" : "playing", playTrack);
//        else if (wasPlaying)
//            Con_Printf("Paused %s track %u\n", playLooping ? "looping" : "playing", playTrack);
//        Con_Printf("Volume is %f\n", cdvolume);
//        return;
//    }
}


void CDAudio_Update(void)
{
//    if (!enabled)
//        return;

//    if (bgmvolume.value != cdvolume)
//    {
//        if (cdvolume)
//        {
//            Cvar_SetValue ("bgmvolume", 0.0);
//            cdvolume = bgmvolume.value;
//            CDAudio_Pause ();
//        }
//        else
//        {
//            Cvar_SetValue ("bgmvolume", 1.0);
//            cdvolume = bgmvolume.value;
//            CDAudio_Resume ();
//        }
//    }
}


int CDAudio_Init(void)
{
//    enabled = true;

//    if (CDAudio_GetAudioDiskInfo())
//    {
//        Con_Printf("CDAudio_Init: No CD in player.\n");
//        cdValid = false;
//    }

//    Cmd_AddCommand ("cd", CD_f);

//    Con_Printf("CD Audio Initialized\n");

    return 0;
}


void CDAudio_Shutdown(void)
{
//    if (!initialized)
//        return;
//    CDAudio_Stop();
}

